Bug 44797 - .xession-errors grows beyond any limit
.xession-errors grows beyond any limit
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-06-16 16:50 EDT by Knut J BJuland
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-16 21:10:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2001-06-16 16:50:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5-ac13 i686)

Description of problem:
.xession-errores growes beyond any limit to file filesystem.

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. install src.rpm from deskjet from hp, anf then rpm -ba ghostscript
2. When build was finished my filesystem was full, I also runs quake3
3. I

Actual Results:  my filesyste was full. I have one / /dev/hda6 part.

Expected Results:  .xession-erroes shoud not grow beyond any limit.

Additional info:

workaround for me rm .xesssion-erroes
Comment 1 Mike A. Harris 2001-06-16 18:51:57 EDT
From what you have said above, it is not clear what the problem is that you
are experiencing.  I don't understand what Quake3 has to do with any of the
above either.

What exactly is the problem?  Be very detailed in all aspects.  You say
it isn't reproducible, which means I need you then to provide this detailed
information so I can determine wether or not it is a bug.
Comment 2 Andrew Bartlett 2001-06-16 21:10:45 EDT
I've had the same problem.  There is no size checking against
~/.xsession-errors, and if a program goes haywire with its STDERR still attached
to this file (as all X programs seem to do, unless you launch them from a
terminal) then this file can grow without bound.  

The simple fix:  delete the file.

The complex fix:  the whole .xsession-errors thing is a bit dodgy, and if
~/.xsession-errors cannot be created, it (Xsession) will create it instead in
Comment 3 Knut J BJuland 2001-06-17 01:34:04 EDT
What I did I tried to make an  ghostscript.rpm based on rawhide with included
support from hp deskjet driver. I ran this build along with wordperfect for
linux and ghostscript from HP. Whne the build was done my filesystem was full.
It may be Wordperfect which made all these error messeage.
Comment 4 Mike A. Harris 2001-06-18 16:54:01 EDT
Are you saying that ~/.xsession-errors itself expanded to fill up the
Comment 5 Knut J BJuland 2001-06-18 17:15:41 EDT
Yes I am , when I delete ~/.xsession-errors my filssystem went from full to 50
free. I also have mozilla-0.9.1 which is heavely using .xession-errors. This
error have not reappered since I upgraded xinitrc to rawhide along wiht
XFree86-4.1-0.1 which I also uses. Though I have not compile these file but I
can proved ghostscript patched with hpdriver as an src.rpm
Comment 6 Knut J BJuland 2001-06-18 18:36:46 EDT
I have ghostscript from rawhide patched with hpdeksjet driver at

Note You need to log in before you can comment on or make changes to this bug.